> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Groups Members Remove

POST https://api.dropboxapi.com/2/team/groups/members/remove
Content-Type: application/json

Removes members from a group.

 The members are removed immediately. However the revoking of group-owned resources
 may take additional time.
 Use the [groups/job_status/get](api:dropbox-api:POST/2/team/groups/job_status/get) to determine whether this process has completed.

 This method permits removing the only owner of a group, even in cases where this is not
 possible via the web client.

 Permission : Team member management.

**Required scope:** `groups.write`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/business-endpoints/team/groups-members-remove

## Authentication

- `Authorization` header (bearer token, required) — Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Body (application/json)

This endpoint expects an object.

- `group` (object or object, required) — Group from which users will be removed.
  - team_apiv2.GroupSelector.group_id
    - `.tag` (enum, required)
      - Allowed values: `group_id`
    - `group_id` (string, required, nullable)
  - team_apiv2.GroupSelector.group_external_id
    - `.tag` (enum, required)
      - Allowed values: `group_external_id`
    - `group_external_id` (string, required, nullable)
- `users` (list of object or object or object, required) — List of users to be removed from the group.
  - team.UserSelectorArg.team_member_id
    - `.tag` (enum, required)
      - Allowed values: `team_member_id`
    - `team_member_id` (string, required, nullable)
  - team.UserSelectorArg.external_id
    - `.tag` (enum, required)
      - Allowed values: `external_id`
    - `external_id` (string, required, nullable)
  - team.UserSelectorArg.email
    - `.tag` (enum, required)
      - Allowed values: `email`
    - `email` (string, required, nullable)
- `return_members` (boolean, optional, default: true) — Whether to return the list of members in the group. Note that the default value will cause all the group members to be returned in the response. This may take a long time for large groups.

## Response

### 200

Successful response

- `group_info` (object, required) — The group info after member change operation has been performed.
  - `created` (uint64, required) — The group creation time as a UTC timestamp in milliseconds since the Unix epoch.
  - `group_id` (string, required)
  - `group_management_type` (object or object or object or object, required) — Who is allowed to manage the group.
    - team_common.GroupManagementType.user_managed
      - `.tag` (enum, required)
        - Allowed values: `user_managed`
    - team_common.GroupManagementType.company_managed
      - `.tag` (enum, required)
        - Allowed values: `company_managed`
    - team_common.GroupManagementType.system_managed
      - `.tag` (enum, required)
        - Allowed values: `system_managed`
    - Other
      - `.tag` (string, optional)
  - `group_name` (string, required)
  - `group_external_id` (string, optional, nullable) — External ID of group. This is an arbitrary ID that an admin can attach to a group.
  - `member_count` (uint, optional, nullable) — The number of members in the group.
  - `members` (list of object, optional, nullable) — List of group members.
    - `access_type` (object or object, required) — The role that the user has in the group.
      - team_apiv2.GroupAccessType.member
        - `.tag` (enum, required)
          - Allowed values: `member`
      - team_apiv2.GroupAccessType.owner
        - `.tag` (enum, required)
          - Allowed values: `owner`
    - `profile` (object, required) — Profile of group member.
      - `email` (string, required) — Email address of user.
      - `email_verified` (boolean, required) — Is true if the user's email is verified to be owned by the user.
      - `membership_type` (object or object, required) — The user's membership type: full (normal team member) vs limited (does not use a license; no access to the team's shared quota).
        - team.TeamMembershipType.full
          - `.tag` (enum, required)
            - Allowed values: `full`
        - team.TeamMembershipType.limited
          - `.tag` (enum, required)
            - Allowed values: `limited`
      - `name` (object, required) — Representations for a person's name.
        - `abbreviated_name` (string, required) — An abbreviated form of the person's name. Their initials in most locales.
        - `display_name` (string, required) — A name that can be used directly to represent the name of a user's Dropbox account.
        - `familiar_name` (string, required) — Locale-dependent name. In the US, a person's familiar name is their `given_name`, but elsewhere, it could be any combination of a person's `given_name` and `surname`.
        - `given_name` (string, required) — Also known as a first name.
        - `surname` (string, required) — Also known as a last name or family name.
      - `status` (object or object or object or object, required) — The user's status as a member of a specific team.
        - team.TeamMemberStatus.active
          - `.tag` (enum, required)
            - Allowed values: `active`
        - team.TeamMemberStatus.invited
          - `.tag` (enum, required)
            - Allowed values: `invited`
        - team.TeamMemberStatus.suspended
          - `.tag` (enum, required)
            - Allowed values: `suspended`
        - team.TeamMemberStatus.removed
          - `.tag` (enum, required)
            - Allowed values: `removed`
          - `is_disconnected` (boolean, required) — True if the team member's account was converted to individual account.
          - `is_recoverable` (boolean, required) — True if the removed team member is recoverable.
      - `team_member_id` (string, required) — ID of user as a member of a team.
      - `account_id` (string, optional, nullable) — A user's account identifier.
      - `external_id` (string, optional, nullable) — External ID that a team can attach to the user. An application using the API may find it easier to use their own IDs instead of Dropbox IDs like account_id or team_member_id.
      - `invited_on` (datetime, optional, nullable) — The date and time the user was invited to the team (contains value only when the member's status matches `TeamMemberStatus.invited`).
      - `is_directory_restricted` (boolean, optional, nullable) — Whether the user is a directory restricted user.
      - `joined_on` (datetime, optional, nullable) — The date and time the user joined as a member of a specific team.
      - `persistent_id` (string, optional, nullable) — Persistent ID that a team can attach to the user. The persistent ID is unique ID to be used for SAML authentication.
      - `profile_photo_url` (string, optional, nullable) — URL for the photo representing the user, if one is set.
      - `secondary_emails` (list of object, optional, nullable) — Secondary emails of a user.
        - `email` (string, required) — Secondary email address.
        - `is_verified` (boolean, required) — Whether or not the secondary email address is verified to be owned by a user.
      - `suspended_on` (datetime, optional, nullable) — The date and time the user was suspended from the team (contains value only when the member's status matches `TeamMemberStatus.suspended`).
- `async_job_id` (string, required, deprecated) — For legacy purposes async_job_id will always return one space ' '. Formerly, it was an ID that was used to obtain the status of granting/revoking group-owned resources. It's no longer necessary because the async processing now happens automatically.

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object or object or object or object or object, required)
  - team_apiv2.GroupMembersRemoveError.group_not_found
    - `.tag` (enum, required)
      - Allowed values: `group_not_found`
  - team_apiv2.GroupMembersRemoveError.system_managed_group_disallowed
    - `.tag` (enum, required)
      - Allowed values: `system_managed_group_disallowed`
  - team_apiv2.GroupMembersRemoveError.member_not_in_group
    - `.tag` (enum, required)
      - Allowed values: `member_not_in_group`
  - team_apiv2.GroupMembersRemoveError.group_not_in_team
    - `.tag` (enum, required)
      - Allowed values: `group_not_in_team`
  - team_apiv2.GroupMembersRemoveError.members_not_in_team
    - `.tag` (enum, required)
      - Allowed values: `members_not_in_team`
    - `members_not_in_team` (list of string, required) — List wrapper for strings (used in error messages)
  - team_apiv2.GroupMembersRemoveError.users_not_found
    - `.tag` (enum, required)
      - Allowed values: `users_not_found`
    - `users_not_found` (list of string, required) — List wrapper for strings (used in error messages)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "group": {
    ".tag": "group_id",
    "group_id": "g:e2db7665347abcd600000000001a2b3c"
  },
  "users": [
    {
      ".tag": "team_member_id",
      "team_member_id": "dbmid:efgh5678"
    }
  ]
}
```

**Response**

```json
{
  "group_info": {
    "created": 1447255518000,
    "group_id": "g:e2db7665347abcd600000000001a2b3c",
    "group_management_type": {
      ".tag": "user_managed"
    },
    "group_name": "project launch",
    "member_count": 5,
    "members": [
      {
        "access_type": {
          ".tag": "member",
          "member": null
        },
        "profile": {
          "email": "mary@lamb.com",
          "email_verified": true,
          "membership_type": {
            ".tag": "full"
          },
          "name": {
            "abbreviated_name": "FF",
            "display_name": "Franz Ferdinand (Personal)",
            "familiar_name": "Franz",
            "given_name": "Franz",
            "surname": "Ferdinand"
          },
          "status": {
            ".tag": "active"
          },
          "team_member_id": "dbmid:1234567",
          "account_id": "dbid:AAH4f99T0taONIb-OurWxbNQ6ywGRopQngc",
          "joined_on": "2015-05-12T15:50:38Z",
          "profile_photo_url": "https://dl-web.dropbox.com/account_photo/get/dbaphid%3AAAHWGmIXV3sUuOmBfTz0wPsiqHUpBWvv3ZA?vers=1556069330102&size=128x128",
          "secondary_emails": [
            {
              "email": "apple@orange.com",
              "is_verified": true
            },
            {
              "email": "banana@honeydew.com",
              "is_verified": true
            },
            {
              "email": "grape@strawberry.com",
              "is_verified": false
            }
          ]
        }
      }
    ]
  },
  "async_job_id": "99988877733388"
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/team/groups/members/remove"

payload = {
    "group": {
        ".tag": "group_id",
        "group_id": "g:e2db7665347abcd600000000001a2b3c"
    },
    "users": [
        {
            ".tag": "team_member_id",
            "team_member_id": "dbmid:efgh5678"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/team/groups/members/remove';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"group":{".tag":"group_id","group_id":"g:e2db7665347abcd600000000001a2b3c"},"users":[{".tag":"team_member_id","team_member_id":"dbmid:efgh5678"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/team/groups/members/remove"

	payload := strings.NewReader("{\n  \"group\": {\n    \".tag\": \"group_id\",\n    \"group_id\": \"g:e2db7665347abcd600000000001a2b3c\"\n  },\n  \"users\": [\n    {\n      \".tag\": \"team_member_id\",\n      \"team_member_id\": \"dbmid:efgh5678\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/team/groups/members/remove")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"group\": {\n    \".tag\": \"group_id\",\n    \"group_id\": \"g:e2db7665347abcd600000000001a2b3c\"\n  },\n  \"users\": [\n    {\n      \".tag\": \"team_member_id\",\n      \"team_member_id\": \"dbmid:efgh5678\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/team/groups/members/remove")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"group\": {\n    \".tag\": \"group_id\",\n    \"group_id\": \"g:e2db7665347abcd600000000001a2b3c\"\n  },\n  \"users\": [\n    {\n      \".tag\": \"team_member_id\",\n      \"team_member_id\": \"dbmid:efgh5678\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/team/groups/members/remove', [
  'body' => '{
  "group": {
    ".tag": "group_id",
    "group_id": "g:e2db7665347abcd600000000001a2b3c"
  },
  "users": [
    {
      ".tag": "team_member_id",
      "team_member_id": "dbmid:efgh5678"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/team/groups/members/remove");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"group\": {\n    \".tag\": \"group_id\",\n    \"group_id\": \"g:e2db7665347abcd600000000001a2b3c\"\n  },\n  \"users\": [\n    {\n      \".tag\": \"team_member_id\",\n      \"team_member_id\": \"dbmid:efgh5678\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "group": [
    ".tag": "group_id",
    "group_id": "g:e2db7665347abcd600000000001a2b3c"
  ],
  "users": [
    [
      ".tag": "team_member_id",
      "team_member_id": "dbmid:efgh5678"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/team/groups/members/remove")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```